<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiPublic\Types;

use KupShop\GraphQLBundle\ApiShared\Types\Price\Currency;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

/**
 * @Type()
 */
class ShopCurrency extends Currency
{
    public $isActive;

    public function __construct(\KupShop\I18nBundle\Entity\Currency $currency, bool $isActive)
    {
        parent::__construct($currency);

        $this->isActive = $isActive;
    }

    /**
     * @Field()
     */
    public function getActive(): bool
    {
        return $this->isActive;
    }
}
